HackerOne users: Testing against this community violates our program's Terms of Service and will result in your bounty being denied.
Please upgrade here. These earlier versions are no longer being updated and have security issues.

The installation got stuck

Hi all,
new to vanilla. I have the installation stuck on the database configuration, admin name & password etc page, the error message as following:

## C:\xampp\htdocs\vanilla\library\database\class.database.php(422)
#0 [internal function]: Gdn_ErrorHandler(256, '', 'C:\\xampp\\htdocs...', 422, Array)
#1 C:\xampp\htdocs\vanilla\library\database\class.database.php(422): trigger_error('', 256)
#2 C:\xampp\htdocs\vanilla\library\database\class.sqldriver.php(1663): Gdn_Database->query('insert GDN_Perm...', Array, Array)
#3 C:\xampp\htdocs\vanilla\library\database\class.sqldriver.php(1083): Gdn_SQLDriver->query('insert GDN_Perm...', 'insert')
#4 C:\xampp\htdocs\vanilla\library\database\class.sqldriver.php(1155): Gdn_SQLDriver->insert('Permission', Array)
#5 C:\xampp\htdocs\vanilla\applications\dashboard\models\class.permissionmodel.php(248): Gdn_SQLDriver->replace('Permission', Array, Array, true)
#6 C:\xampp\htdocs\vanilla\applications\dashboard\settings\structure.php(324): PermissionModel->define(Array)
#7 C:\xampp\htdocs\vanilla\applications\dashboard\controllers\class.setupcontroller.php(211): include('C:\\xampp\\htdocs...')
#8 C:\xampp\htdocs\vanilla\applications\dashboard\controllers\class.setupcontroller.php(68): SetupController->configure()
#9 [internal function]: SetupController->index()
#10 C:\xampp\htdocs\vanilla\library\core\class.dispatcher.php(330): call_user_func_array(Array, Array)
#11 C:\xampp\htdocs\vanilla\index.php(44): Gdn_Dispatcher->dispatch()
#12 {main}

To make sure the xampp is actually working, I installed a WordPress (with database connection) as an experiment and it is successful. Please help, thanks.

Tagged:

Answers

  • R_JR_J Ex-Fanboy Munich Admin

    If you are using Vanilla 2.2 (the master version from GitHub), you should be prepared to face problems. Please go through the issues to see if your problem is already known and file an issue on GitHub. Maybe this one is your problem? https://github.com/vanilla/vanilla/issues/2862

    Do you run your database in strict mode?


  • Hi, yes I was using the 2.2 from GitHub. After seeing your post, I went to try out 2.1.12 and 2.1.11 but no installation page was popped up. Collapsed data page was thrown out by FireFox and Chrome just redirected back to whatever the previous page is. Could you please recommend a working version? Thanks.

  • peregrineperegrine MVP
    edited October 2015

    Could you please recommend a working version?uld you please recommend a working version?

    try the cloud - it should work. https://vanillaforums.com. it should work.

    It takes the fuss out of installations....

    otherwise

    completely wipe-out old vanilla file folder attempts and vanilla database.
    download the stable release (not beta or alpha or rc) core from the add-ons section and carefully read the release notes and comments several times, and follow the instructions very carefully.

    I went to try out 2.1.12 and 2.1.11 but no installation page was popped up

    because you didn't clear out your old attempts.

    2.1.11 has security flaws
    2.1.12p2 has image function flaws

    at the present there is no truly flawless stable version.

    or try a linux install

    http://vanillaforums.org/categories/blog

    I may not provide the completed solution you might desire, but I do try to provide honest suggestions to help you solve your issue.

Sign In or Register to comment.